class Intranet::AdminRole < Intranet::IntranetRecord
  self.table_name = 'admin_role'
  self.primary_key = :roleId

  has_many :admin_profile_roles, :class_name => 'AdminProfileRole', :foreign_key => :roleId
  belongs_to :admin_module, :class_name => 'AdminModule', :foreign_key => :module_moduleId
end
