class Intranet::AdminUser < Intranet::IntranetRecord
  self.table_name = 'admin_user'
  self.primary_key = :login

  has_many :admin_logs, :class_name => 'AdminLog'
  belongs_to :admin_profile, :class_name => 'AdminProfile', :foreign_key => :profile_profileId
  has_many :aproc_habilitacaomalotes, :class_name => 'AprocHabilitacaomalote'
  has_many :aproc_movimentacaomanifestacaos, :class_name => 'AprocMovimentacaomanifestacao'
  has_many :aproc_movimentacaomanifestacaos, :class_name => 'AprocMovimentacaomanifestacao'
  has_many :legislacao_normas, :class_name => 'LegislacaoNorma'
  has_many :tjpi_controlearquivocadastrals, :class_name => 'TjpiControlearquivocadastral'
  has_many :tjpi_previnculadointervencaos, :class_name => 'TjpiPrevinculadointervencao'

  has_one :global_pessoafisica, :class_name => 'GlobalPessoafisica', :foreign_key => :user_login
end
