class Intranet::AprocMovimentacaomanifestacao < Intranet::IntranetRecord
  self.table_name = 'aproc_movimentacaomanifestacao'

  has_many :aproc_anotacaomanifestacaos, :class_name => 'AprocAnotacaomanifestacao'
  has_many :aproc_anotacaomanifestacaos, :class_name => 'AprocAnotacaomanifestacao'
  has_many :aproc_manifestacaos, :class_name => 'AprocManifestacao'
  has_many :aproc_manifestacaos, :class_name => 'AprocManifestacao'
  has_many :aproc_manifestacaos, :class_name => 'AprocManifestacao'
  has_many :aproc_manifestacaos, :class_name => 'AprocManifestacao'
  belongs_to :admin_user, :class_name => 'AdminUser', :foreign_key => :atribuido_login
  belongs_to :aproc_manifestacao, :class_name => 'AprocManifestacao', :foreign_key => :manifestacao_id
  belongs_to :aproc_movimentacaomanifestacao, :class_name => 'AprocMovimentacaomanifestacao', :foreign_key => :movimentacaoAnterior_id
  belongs_to :aproc_destino, :class_name => 'AprocDestino', :foreign_key => :destino_id
  belongs_to :aproc_tipomanifestacao, :class_name => 'AprocTipomanifestacao', :foreign_key => :tipoManifestacao_id
  belongs_to :sistema_usuario, :class_name => 'SistemaUsuario', :foreign_key => :gestorEnvolvido_id
  belongs_to :aproc_tipomanifestacao, :class_name => 'AprocTipomanifestacao', :foreign_key => :tipoManifestacao_id
  belongs_to :aproc_destino, :class_name => 'AprocDestino', :foreign_key => :destino_id
  belongs_to :aproc_manifestacao, :class_name => 'AprocManifestacao', :foreign_key => :manifestacao_id
  belongs_to :sistema_usuario, :class_name => 'SistemaUsuario', :foreign_key => :gestorEnvolvido_id
  belongs_to :aproc_movimentacaomanifestacao, :class_name => 'AprocMovimentacaomanifestacao', :foreign_key => :movimentacaoAnterior_id
  belongs_to :admin_user, :class_name => 'AdminUser', :foreign_key => :usuario_login
  has_many :aproc_movimentaomanifestacao_anexos, :class_name => 'AprocMovimentaomanifestacaoAnexo'
  has_many :aproc_movimentaomanifestacao_anexos, :class_name => 'AprocMovimentaomanifestacaoAnexo'
  has_many :aproc_relacaomanifestacaos, :class_name => 'AprocRelacaomanifestacao'
  has_many :aproc_relacaomanifestacaos, :class_name => 'AprocRelacaomanifestacao'
end
