class Intranet::GlobalContabancaria < Intranet::IntranetRecord
  self.table_name = 'global_contabancaria'

  belongs_to :global_banco, :class_name => 'GlobalBanco', :foreign_key => :banco_codigo
  has_many :global_pessoafisica_contasbancarias, :class_name => 'GlobalPessoafisicaContasbancaria'
  has_many :global_prepessoafisica_contasbancarias, :class_name => 'GlobalPrepessoafisicaContasbancaria'
  has_many :tjpi_vinculos, :class_name => 'TjpiVinculo'
end
