class Intranet::GlobalPrepessoafisica < Intranet::IntranetRecord
  self.table_name = 'global_prepessoafisica'

  belongs_to :cidade_nascimento, :class_name => 'GlobalCidade', :foreign_key => :nascimentoCidade_id
  belongs_to :global_endereco, :class_name => 'GlobalEndereco', :foreign_key => :endereco_id
  belongs_to :global_cidade, :class_name => 'GlobalCidade', :foreign_key => :tituloEleitorCidade_id
  belongs_to :global_estado, :class_name => 'GlobalEstado', :foreign_key => :rgOrgaoExpedidorUF_sigla
  has_many :global_prepessoafisica_contasbancarias, :class_name => 'GlobalPrepessoafisicaContasbancaria'
  has_many :global_prepessoafisica_contatos, :class_name => 'GlobalPrepessoafisicaContato'
  has_many :tjpi_predependentes, :class_name => 'TjpiPredependente', foreign_key: :prePessoaFisica_id
  has_many :tjpi_previnculados, :class_name => 'TjpiPrevinculado'
end
