class Intranet::LegislacaoDocumentocomprobatorio < Intranet::IntranetRecord
  self.table_name = 'legislacao_documentocomprobatorio'

  has_many :ferias_ferias, class_name: 'FeriasFeria', foreign_key: :documentoComprobatorio_id
  has_many :ferias_fracaos, class_name: 'FeriasFracao', foreign_key: :DocumentoFerias_id
  belongs_to :legislacao_norma, class_name: 'LegislacaoNorma', foreign_key: :norma_id
  has_many :tjpi_cargo_embasamentos, class_name: 'TjpiCargoEmbasamento', foreign_key: :embasamento_id
  has_many :tjpi_carreiras, class_name: 'TjpiCarreira', foreign_key: :documentoComprobatorio_id
  has_many :tjpi_declaracaoprevinculados, class_name: 'TjpiDeclaracaoprevinculado', foreign_key: :comprovante_id
  has_many :tjpi_exerciciofuncaos, class_name: 'TjpiExerciciofuncao', foreign_key: :documentoNomeacao_id
  has_many :tjpi_exerciciofuncaos, class_name: 'TjpiExerciciofuncao', foreign_key: :documentoExoneracao_id
  has_many :tjpi_funcao_embasamentos, class_name: 'TjpiFuncaoEmbasamento', foreign_key: :embasamento_id
  has_many :tjpi_vinculo_documentos, class_name: 'TjpiVinculoDocumento', foreign_key: :documentos_id
end
