class Intranet::PesquisasRespostum < Intranet::IntranetRecord
  self.table_name = 'pesquisas_resposta'

  belongs_to :pesquisas_questao, :class_name => 'PesquisasQuestao', :foreign_key => :questao_id
  belongs_to :sistema_usuario, :class_name => 'SistemaUsuario', :foreign_key => :usuario_id
  belongs_to :pesquisas_opcao, :class_name => 'PesquisasOpcao', :foreign_key => :opcao_id
end
