class Intranet::PresencaFrequentador < Intranet::IntranetRecord
  self.table_name = 'presenca_frequentador'

  has_many :presenca_calculodiarios, :class_name => 'PresencaCalculodiario'
  has_many :presenca_direitos, :class_name => 'PresencaDireito'
  belongs_to :global_predio, :class_name => 'GlobalPredio', :foreign_key => :localTrabalhoPresenca_id
  belongs_to :presenca_regimefrequentador, :class_name => 'PresencaRegimefrequentador', :foreign_key => :diferenciado_id
  belongs_to :presenca_regimefrequentador, :class_name => 'PresencaRegimefrequentador', :foreign_key => :temporario_id
  belongs_to :presenca_regimefrequentador, :class_name => 'PresencaRegimefrequentador', :foreign_key => :oficial_id
  belongs_to :tjpi_vinculado, :class_name => 'TjpiVinculado', :foreign_key => :vinculado_id
  belongs_to :sistema_usuario, :class_name => 'SistemaUsuario', :foreign_key => :cadastrador_id
  has_many :presenca_regimefrequentadors, :class_name => 'PresencaRegimefrequentador'
  has_many :presenca_registrofrequencia, :class_name => 'PresencaRegistrofrequencium'
  has_many :presenca_registromensalfrequencia, :class_name => 'PresencaRegistromensalfrequencium'
  has_many :presenca_relatoriofrequentadors, :class_name => 'PresencaRelatoriofrequentador'
  has_many :presenca_valorretroativos, :class_name => 'PresencaValorretroativo'
end
