class Intranet::TjpiExerciciofuncao < Intranet::IntranetRecord
  self.table_name = 'tjpi_exerciciofuncao'

  belongs_to :global_orgao, :class_name => 'GlobalOrgao', :foreign_key => :origemFuncao_id
  belongs_to :tjpi_vinculo, :class_name => 'TjpiVinculo', :foreign_key => :vinculo_id
  belongs_to :tjpi_funcao, :class_name => 'TjpiFuncao', :foreign_key => :funcao_id
  belongs_to :documento_nomeacao, :class_name => 'LegislacaoDocumentocomprobatorio', :foreign_key => :documentoNomeacao_id
  belongs_to :documento_exoneracao, :class_name => 'LegislacaoDocumentocomprobatorio', :foreign_key => :documentoExoneracao_id
end
