class Intranet::TjpiSelecionado < Intranet::IntranetRecord
  self.table_name = 'tjpi_selecionado'

  has_many :tjpi_opcaolotacaos, :class_name => 'TjpiOpcaolotacao'
  belongs_to :tjpi_selecaovinculado, :class_name => 'TjpiSelecaovinculado', :foreign_key => :selecao_id
  belongs_to :global_orgao, :class_name => 'GlobalOrgao', :foreign_key => :respondeuLotacaoResultado_id
  belongs_to :global_orgao, :class_name => 'GlobalOrgao', :foreign_key => :vagaOrigem_id
  belongs_to :global_orgao, :class_name => 'GlobalOrgao', :foreign_key => :lotacaoPreferencial_id
  belongs_to :tjpi_selecaopoloarea, :class_name => 'TjpiSelecaopoloarea', :foreign_key => :selecaoPoloArea_id
end
