class Intranet::AdminProfile < Intranet::IntranetRecord
  self.table_name = 'admin_profile'
  self.primary_key = :profileId

  has_many :admin_profile_allowedprofiles, :class_name => 'AdminProfileAllowedprofile', :foreign_key => :profileId
  has_many :admin_profile_allowedprofiles, :class_name => 'AdminProfileAllowedprofile'
  has_many :admin_profile_modules, :class_name => 'AdminProfileModule', :foreign_key => :profileId
  has_many :admin_profile_roles, :class_name => 'AdminProfileRole', :foreign_key => :profileId
  has_many :admin_users, :class_name => 'AdminUser'
end
