class Intranet::ConcursosRemocaoConcorrencium < Intranet::IntranetRecord
  self.table_name = 'concursos_remocao_concorrencia'

  belongs_to :tjpi_cargo, :class_name => 'TjpiCargo', :foreign_key => :cargo_id
  belongs_to :concursos_remocao, :class_name => 'ConcursosRemocao', :foreign_key => :concurso_id
  has_many :concursos_remocao_disponibilidades, :class_name => 'ConcursosRemocaoDisponibilidade'
  has_many :concursos_remocao_inscricaos, :class_name => 'ConcursosRemocaoInscricao'
end
