class Intranet::SistemaUsuario < Intranet::IntranetRecord
  self.table_name = 'sistema_usuario'

  has_many :aproc_anotacaomanifestacaos, :class_name => 'AprocAnotacaomanifestacao'
  has_many :aproc_anotacaomanifestacaos, :class_name => 'AprocAnotacaomanifestacao'
  has_many :aproc_anotacaomanifestacaos, :class_name => 'AprocAnotacaomanifestacao'
  has_many :aproc_anotacaomanifestacaos, :class_name => 'AprocAnotacaomanifestacao'
  has_many :aproc_habilitacaomalotes, :class_name => 'AprocHabilitacaomalote'
  has_many :aproc_habilitacaomalotes, :class_name => 'AprocHabilitacaomalote'
  has_many :aproc_movimentacaomanifestacaos, :class_name => 'AprocMovimentacaomanifestacao'
  has_many :aproc_movimentacaomanifestacaos, :class_name => 'AprocMovimentacaomanifestacao'
  has_many :concursos_remocao_inscricaos, :class_name => 'ConcursosRemocaoInscricao'
  has_many :pesquisas_resposta, :class_name => 'PesquisasRespostum'
  has_many :presenca_debitoremanscentenegociavels, :class_name => 'PresencaDebitoremanscentenegociavel'
  has_many :presenca_diaexcepcionals, :class_name => 'PresencaDiaexcepcional'
  has_many :presenca_direitos, :class_name => 'PresencaDireito'
  has_many :presenca_estacaopontos, :class_name => 'PresencaEstacaoponto'
  has_many :presenca_frequentadors, :class_name => 'PresencaFrequentador'
  has_many :sistema_acessosistemas, :class_name => 'SistemaAcessosistema'
  has_many :sistema_situacaoperfils, :class_name => 'SistemaSituacaoperfil'
  belongs_to :tjpi_vinculado, :class_name => 'TjpiVinculado', :foreign_key => :vinculado_id
  belongs_to :sistema_acessosistema, :class_name => 'SistemaAcessosistema', :foreign_key => :ultimoAcesso_id
  belongs_to :sistema_situacaoperfil, :class_name => 'SistemaSituacaoperfil', :foreign_key => :situacaoPerfil_id
  belongs_to :tjpi_vinculo, :class_name => 'TjpiVinculo', :foreign_key => :ultimoVinculoDefinido_id
  has_many :tjpi_diaexcepcionals, :class_name => 'TjpiDiaexcepcional'
  has_many :tjpi_frequencia_excepcionals, :class_name => 'TjpiFrequenciaExcepcional'
  has_many :tjpi_habilitacaovinculados, :class_name => 'TjpiHabilitacaovinculado'
  has_many :tjpi_importacao_folhas, :class_name => 'TjpiImportacaoFolha'
  has_many :tjpi_previnculadopendencia, :class_name => 'TjpiPrevinculadopendencium'
  has_many :tjpi_rh_arquivodeclarcaoirpfs, :class_name => 'TjpiRhArquivodeclarcaoirpf'
  has_many :tjpi_rh_arquivodeclarcaoirpfs, :class_name => 'TjpiRhArquivodeclarcaoirpf'
end
