class Intranet::TjpiPrevinculadointervencao < Intranet::IntranetRecord
  self.table_name = 'tjpi_previnculadointervencao'

  has_many :presenca_direitos, :class_name => 'PresencaDireito'
  has_many :presenca_registrofrequencia, :class_name => 'PresencaRegistrofrequencium'
  has_many :tjpi_previnculados, :class_name => 'TjpiPrevinculado'
  belongs_to :tjpi_previnculadointervencao, :class_name => 'TjpiPrevinculadointervencao', :foreign_key => :anterior_id
  belongs_to :admin_user, :class_name => 'AdminUser', :foreign_key => :responsavel_login
  belongs_to :tjpi_previnculado, :class_name => 'TjpiPrevinculado', :foreign_key => :preVinculado_id

  has_many :tjpi_previnculado_anexos, class_name: 'TjpiPrevinculadoAnexo', foreign_key: :intervencao_id
end
