class Intranet::TjpiVinculado < Intranet::IntranetRecord
  self.table_name = 'tjpi_vinculado'

  has_many :presenca_frequentadors, :class_name => 'PresencaFrequentador'
  has_many :sistema_usuarios, :class_name => 'SistemaUsuario'
  has_many :tjpi_habilitacaovinculados, :class_name => 'TjpiHabilitacaovinculado'
  belongs_to :global_pessoafisica, :class_name => 'GlobalPessoafisica', :foreign_key => :pessoaFisica_id
  belongs_to :tjpi_funcao, :class_name => 'TjpiFuncao', :foreign_key => :funcaoAtual_id
  
  has_many :tjpi_previnculados, :class_name => 'TjpiPrevinculado', foreign_key: :vinculado_id
  belongs_to :tjpi_previnculado_vigente, :class_name => 'TjpiPrevinculado', foreign_key: :preVinculado_id

  belongs_to :tjpi_vinculo_principal, :class_name => 'TjpiVinculo', foreign_key: :vinculoPrincipal_id
  belongs_to :tjpi_vinculo, :class_name => 'TjpiVinculo', foreign_key: :vinculoPrincipal_id
  has_many :tjpi_vinculos, :class_name => 'TjpiVinculo', foreign_key: :vinculado_id
end
